在庫
POST
/webhook-stock
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/webhook-stock';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"contractId":"string","event":"string","action":"edited","ids":[{"id":"1","productId":"1","storeId":"0"},{"id":"10","productId":"1","storeId":"0"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/webhook-stock \ --header 'Content-Type: application/json' \ --data '{ "contractId": "string", "event": "string", "action": "edited", "ids": [ { "id": "1", "productId": "1", "storeId": "0" }, { "id": "10", "productId": "1", "storeId": "0" } ] }'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Smaregi-Event
string
イベント名 pos:stock
Request Body
Section titled “Request Body”Media typeapplication/json
object
contractId
契約ID
string
event
イベント
string
action
アクション
- edited: 更新
- bulk-update: 一括更新
string
ids
Array<object>
object
id
在庫変動履歴ID
string
productId
商品ID
string
storeId
店舗ID
string
Example
{ "contractId": "string", "event": "string", "action": "edited", "ids": [ { "id": "1", "productId": "1", "storeId": "0" }, { "id": "10", "productId": "1", "storeId": "0" } ]}